// Description: a node that executes a character string as a shell command
//
//<b>notes:</b>
//<ul>
//<li> derived nodes inherit all messages from their base classes
//<li> see reset method for default settings
//</ul>
//
// Category: System
// Author: Alex Hill
// Revision: 04/02/03
//
#include "System.h"

using namespace std;

extern "C" ygNode* APIENTRY construct_System(const char* name,bool master) { return new System(name,master); }
char* System_dependencies = "YG DSO Dependencies: String";

System::System(const char* name,bool master) : String(name,master)
	{
	setClassName("system");
	}

System::~System(void)
	{
	}


void System::reset(void)
	{
	String::reset();
	}


void System::message(const ygMessage& msg)
	{
	if (msg == "execute")
		{
		system(netString.c_str());
		}
	else
		String::message(msg);
	}
