#ifndef _classListing_h_
#define _classListing_h_

#include "ygNode.h"
#include <vector>

#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_classListing_MODULE_DLL_API 
#endif

class YG_classListing_MODULE_DLL_API classListing : public ygNode
    {
    public:
     classListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     void checkNode(void);
     void findClasses(ygNode*);
     void findUsers(void);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     bool users;
     int index;
     int lastIndex;
     int maximum;
     bool created;
     std::vector<ygString> allClasses;
     std::vector<ygString> currClasses;
    };

#endif
