#ifndef _directoryListing_h_
#define _directoryListing_h_

#include "ygNode.h"
#include <vector>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_directoryListing_MODULE_DLL_API 
#endif

class YG_directoryListing_MODULE_DLL_API directoryListing : public ygNode
    {
    public:
     directoryListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void checkDirectory(void);
     ygString dirName;
     ygString parentName;
     ygString lastDir;
     int dirIndex;
     int lastIndex;
     int maximum;
     bool truncate;
     int ygDirIndex;
     std::vector<ygString> directories;
     std::vector<ygString> ygDirectories;
     std::vector<ygString> files;
    };

#endif
