#ifndef _distance__h_
#define _distance__h_

#include "interpolate.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_distance_MODULE_DLL_API 
#endif

class YG_distance_MODULE_DLL_API distance_ : public interpolate
    {
    public:
     distance_(const char* name,bool master=true);
     ~distance_(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     ygString nodeName;
     int mode;
     int wandNum;
     bool bounding;
     ygNode* node;
    };

#endif
