#ifndef _nodeTrigger_h_
#define _nodeTrigger_h_

#include "ygSpace.h"
#include <set>

using namespace std;


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_nodeTrigger_MODULE_DLL_API 
#endif

class YG_nodeTrigger_MODULE_DLL_API nodeTrigger : public ygSpace
    {
    public:
     nodeTrigger(const char* name,bool master=true);
     ~nodeTrigger(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
         void setDetectType(const ygString& s);
    private:
     ygString detectType;
     set<ygNode*> prevInside;
     bool local;
     bool debugInside;
     int lastFrame;
    };


#endif
