#ifndef _pointFollower_h_
#define _pointFollower_h_

#ifndef WIN32
#include <vector.h>
#else
#include <vector>
using namespace std;
#endif
#include "ygTransform.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_pointFollower_MODULE_DLL_API 
#endif

class YG_pointFollower_MODULE_DLL_API pointFollower : public ygTransform
    {
    public:
     pointFollower(const char* name,bool master=true);
     ~pointFollower(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
         void loadPath(const ygString& file);
         void interpolate(float t);
    private:
     float position;
     ygString filename;
     bool upright;
     pfVec3 point;
     vector<pfVec3*> points;
     vector<float> pointList;
    };


#endif
