#ifndef _readFile_h_
#define _readFile_h_

#include "value.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_readFile_MODULE_DLL_API 
#endif

class YG_readFile_MODULE_DLL_API readFile : public value
    {
    public:
     readFile(const char* name,bool master=true);
     ~readFile(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    protected:
     void openFile(const ygString&);
     ygString filename;
     FILE* fp;
    };

#endif
