#ifndef _timer_h_
#define _timer_h_

#include "interpolate.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_timer_MODULE_DLL_API 
#endif

class YG_timer_MODULE_DLL_API timer : public interpolate
    {
    public:
     timer(const char* name,bool master=true);
     ~timer(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     float position;
     float duration;
     bool reverse;
     bool active;
    };

#endif
