#ifndef _grabNavigator_h_
#define _grabNavigator_h_

#include <ygCAVENavigator.h>


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_grabNavigator_MODULE_DLL_API 
#endif

class YG_grabNavigator_MODULE_DLL_API grabNavigator : public ygCAVENavigator
    {
    public:
     grabNavigator(const char* name,bool master=true);
     ~grabNavigator(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     enum grabMode {GRAB, MOVE, TELEPORT};
     void grab(void);
     void drop(void);
     ygString nodeName;
     ygNode* node;
     pfMatrix matrix;
     grabMode mode;
     float distanceEasin;
     float headingEasin;
     float headingDistance;
     bool override;
    };


#endif
