#ifndef _gravity_h_
#define _gravity_h_

#include "ygTransform.h"

#ifdef WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_gravity_MODULE_DLL_API 
#endif

class YG_gravity_MODULE_DLL_API gravity : public ygTransform
    {
    public:
     gravity(const char* name,bool master=true);
     ~gravity(void) {};
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     void checkGround(void);
     float height;
     float speed;
     bool fly;
     bool upright;
    };

#endif
