#ifndef _nodeListing_h_
#define _nodeListing_h_

#include "ygNode.h"

#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_nodeListing_MODULE_DLL_API 
#endif

class YG_nodeListing_MODULE_DLL_API nodeListing : public ygNode
    {
    public:
     nodeListing(const char*,bool master=true);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    protected:
     void checkClass(void);
     void findNodes(ygNode*);
     void findUsers(void);
     ygNode* node;
     ygString nodeName;
     ygString lastNode;
     ygString className;
     ygString lastClass;
     bool users;
     int index;
     int lastIndex;
     int maximum;
     std::vector<ygString> nodes;
    };

#endif
