#ifndef _userTrigger_h_
#define _userTrigger_h_

#include "ygSpace.h"
#include <set>

using namespace std;


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_userTrigger_MODULE_DLL_API 
#endif

class YG_userTrigger_MODULE_DLL_API userTrigger : public ygSpace
    {
    public:
     userTrigger(const char* name,bool master=true);
     ~userTrigger(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     set<ygUser*> prevInside;
     bool debugInside;
     bool local;
     int lastFrame;
    };


#endif
