#ifndef _videoTexture_h_
#define _videoTexture_h_

#include "ygNode.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_videoTexture_MODULE_DLL_API 
#endif

class YG_videoTexture_MODULE_DLL_API videoTexture : public ygNode 
    {
    public:
     videoTexture(const char* name, bool master=true);   
     ~videoTexture();
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void reset(void);
    private:
     void replaceTextures(pfNode*);
     void createTexture(void);
     int readImageData();
     void copySubImage(unsigned char*,int,int,int);
     struct _videoTexturePrivateData* p_;
    };
 
extern "C" ygNode* APIENTRY construct_videoTexture(const char*,bool);
 
#endif



