#ifndef _visualPriority_h_
#define _visualPriority_h_

#include "ygNode.h"

typedef struct _priorityData priorityData_t;


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_visualPriority_MODULE_DLL_API 
#endif

class YG_visualPriority_MODULE_DLL_API visualPriority : public ygNode
    {
    public:
     static int preDrawFunc(pfTraverser*,void*);
     static int postDrawFunc(pfTraverser*,void*);
     visualPriority(const char* name,bool master=true);
     ~visualPriority(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
    private:
     priorityData_t* data_;
    };


#endif
