#ifndef _waves_h_
#define _waves_h_

#include "surface.h"


#ifdef _WIN32
#include <windows.h>
#else
#ifndef APIENTRY
#define APIENTRY
#endif

#define YG_waves_MODULE_DLL_API 
#endif

class YG_waves_MODULE_DLL_API waves : public surface
    {
    public:
     waves(const char* name,bool master=true);
     ~waves(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
    private:
     float speed_;
     float width_;
     float height_;
     bool active_;
     float currTime_;
    };


#endif
