#ifndef _ygSound_h_
#define _ygSound_h_

#include "ygSoundServer.h"

#include "ygDLL.h"

class YG_DLL_API ygSound : public ygSoundServer
    {
    public:
     ygSound(const char*,bool master=true);
     virtual ~ygSound(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void app(void);
     virtual void play(void);
     virtual void pause(void);
     virtual void stop(bool sendStopCommand=true);
     virtual void setDistance(float);
     virtual void setAmplitude(float);
     virtual void setFalloffDistance(float);
     virtual void setAttenuation(int);
     virtual bool isPlaying(void);
     virtual bool isPaused(void);
      void setFile(const ygString&);
      void setLoop(bool);
    private:
     struct _ygSoundPrivateData * p_;
    };

extern "C" YG_DLL_API ygNode* APIENTRY construct_ygSound(const char*,bool);

#endif
