#ifndef _ygSwitch_h_
#define _ygSwitch_h_

#include "ygNode.h"

#include "ygDLL.h"

class YG_DLL_API ygSwitch : public ygNode
    {
    public:
     ygSwitch(const char*,bool master=true);
     virtual ~ygSwitch(void);
     virtual void reset(void);
     virtual void message(const ygMessage&);
     virtual void appTraverse(void);
         bool isOn(void) const;
         void on(void);
         void off(void);
         void toggle(void);
    private:
     struct _ygSwitchPrivateData *p_;
    };

extern "C" YG_DLL_API ygNode* APIENTRY construct_ygSwitch(const char*,bool);

#endif
